# Uses of Class
java.awt.event.AdjustmentEvent

Packages that use AdjustmentEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.

## Uses of AdjustmentEvent in java.awt

Methods in java.awt with parameters of type AdjustmentEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`adjustmentValueChanged​(AdjustmentEvent e)`
Handles the adjustmentValueChanged event by invoking the adjustmentValueChanged methods on listener-a and listener-b.
`protected void`
Scrollbar.`processAdjustmentEvent​(AdjustmentEvent e)`
Processes adjustment events occurring on this scrollbar by dispatching them to any registered `AdjustmentListener` objects.

## Uses of AdjustmentEvent in java.awt.event

Methods in java.awt.event with parameters of type AdjustmentEvent
Modifier and Type
Method
Description
`void`
AdjustmentListener.`adjustmentValueChanged​(AdjustmentEvent e)`
Invoked when the value of the adjustable has changed.